Subject: Re: [GSoC PATCH] promisor-remote: fix promisor.quiet to use the correct repository

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Apr 2026 11:23:37 -0700

Tian Yuchen <[email-masked]> writes:

> On 4/7/26 02:30, Trieu Huynh wrote:
>
> I strongly recommend you to run a patch locally before sending it.
>
> 	not ok 38 - promisor.quiet from submodule repo is honored

FWIW, I didn't see it fail in my local environment (both in 'seen'
and also standalone) or at GitHub CI (in 'seen'), so it is a bit
hasty to conclude that the patch was sent without proper testing.

I wonder what is different in _your_ environment (note, I am not
saying your environment is _wrong_.  It is just different, perhaps
the compiler I use and your build environment may align things
differently, or perhaps on-stack "uninitialied" pieces of memory
happen to have different values that the code is reading that causes
different behaviours---in which case it is the code that is wrong.
Asking for environment differences is the first step to figure out
what incorrect environment dependencies the code has).

>> +test_expect_success 'promisor.quiet from submodule repo is honored' '
>> +	rm -f pc-quiet-trace &&
>> +
>> +	# Set promisor.quiet only in the submodule, not the superproject.
>> +	git -C super-work/sub config promisor.quiet true &&
>> +
>> +	# Push a new commit+blob to the server; the blob stays missing in the
>> +	# partial-clone submodule until a lazy fetch is triggered.
>> +	test_commit -C sub-pc-src updated new-file.txt "world" &&
>> +	git -C sub-pc-src push "$(pwd)/sub-pc-srv.bare" HEAD:master &&
>> +	git -C super-work/sub -c protocol.file.allow=always fetch origin &&
>> +	git -C super-work/sub reset --mixed origin/master &&
>> +
>> +	# grep descends into the submodule and triggers a lazy fetch for the
>> +	# missing blob; verify the fetch subprocess carries --quiet.
>> +	GIT_TRACE2_EVENT="$(pwd)/pc-quiet-trace" \
>> +		git -C super-work grep --cached --recurse-submodules "world" \
>> +		2>/dev/null &&
>> +	grep negotiationAlgorithm pc-quiet-trace | grep -e --quiet
>> +'
>> +
>>   . "$TEST_DIRECTORY"/lib-httpd.sh
>>   start_httpd
>>   
>
> Regards, Yuchen